@import "src/sass/abstracts/abstracts";

:host {
  display: grid;
  grid-template-columns: 1fr max-content;
  grid-gap: 20px;
  background-color: $extra-ultra-light-grey;
  padding: 20px;
  align-items: center;
  max-height: 420px;
  border-radius: 8px;

  .buttons {
    height: 100%;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: max-content max-content;
    grid-gap: 20px;
  }

  @include respond-to-smaller-than-breakpoint('md') {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr max-content;
    max-height: initial;

    .buttons {
      > * {
        max-width: initial;
      }
    }
  }
}

@include isInDarkMode {
  background-color: $dark-mode-toolbar;
}
